using System;

internal sealed class Delegate833 : MulticastDelegate
{
	public extern void Invoke(object object_0, object object_1, int int_0);

	public static void smethod_0(object object_0, object object_1, int int_0, Delegate833 delegate833_1)
	{
		delegate833_1(object_0, object_1, int_0);
	}

	public extern Delegate833(object object_0, IntPtr intptr_0);

	static Delegate833()
	{
		Class10.smethod_13(typeof(Delegate833).TypeHandle);
	}

	internal static Delegate833 delegate833_0;
}
